Update seat tracking notify routes
curl --request PUT \
--url https://api.nops.io/v1/seat-tracking/projects/{projectId}/notify-routes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"routes": [
{
"scopeType": "project",
"scopeId": "default",
"emailEnabled": true,
"chatEnabled": true,
"notifyEmails": [
"finops@example.com"
],
"notifyChatChannels": []
}
]
}
'import requests
url = "https://api.nops.io/v1/seat-tracking/projects/{projectId}/notify-routes"
payload = { "routes": [
{
"scopeType": "project",
"scopeId": "default",
"emailEnabled": True,
"chatEnabled": True,
"notifyEmails": ["finops@example.com"],
"notifyChatChannels": []
}
] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
routes: [
{
scopeType: 'project',
scopeId: 'default',
emailEnabled: true,
chatEnabled: true,
notifyEmails: ['finops@example.com'],
notifyChatChannels: []
}
]
})
};
fetch('https://api.nops.io/v1/seat-tracking/projects/{projectId}/notify-routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/seat-tracking/projects/{projectId}/notify-routes"
payload := strings.NewReader("{\n \"routes\": [\n {\n \"scopeType\": \"project\",\n \"scopeId\": \"default\",\n \"emailEnabled\": true,\n \"chatEnabled\": true,\n \"notifyEmails\": [\n \"finops@example.com\"\n ],\n \"notifyChatChannels\": []\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"budgetId": "budget-1",
"groupConfigEnabled": false,
"projectSettings": {
"emailEnabled": true,
"chatEnabled": true,
"notifyEmails": [
"finops@example.com"
],
"notifyChatChannels": []
},
"rows": [
{
"scopeType": "project",
"scopeId": "default",
"label": "Project default",
"notifyChatChannels": [],
"emailEnabled": true,
"chatEnabled": true,
"notifyEmails": [
"finops@example.com"
],
"hasCustomRoute": true
}
]
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Seat Tracking
Update seat tracking notify routes
Configure who receives limit request notifications.
PUT
https://api.nops.io
/
v1
/
seat-tracking
/
projects
/
{projectId}
/
notify-routes
Update seat tracking notify routes
curl --request PUT \
--url https://api.nops.io/v1/seat-tracking/projects/{projectId}/notify-routes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"routes": [
{
"scopeType": "project",
"scopeId": "default",
"emailEnabled": true,
"chatEnabled": true,
"notifyEmails": [
"finops@example.com"
],
"notifyChatChannels": []
}
]
}
'import requests
url = "https://api.nops.io/v1/seat-tracking/projects/{projectId}/notify-routes"
payload = { "routes": [
{
"scopeType": "project",
"scopeId": "default",
"emailEnabled": True,
"chatEnabled": True,
"notifyEmails": ["finops@example.com"],
"notifyChatChannels": []
}
] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
routes: [
{
scopeType: 'project',
scopeId: 'default',
emailEnabled: true,
chatEnabled: true,
notifyEmails: ['finops@example.com'],
notifyChatChannels: []
}
]
})
};
fetch('https://api.nops.io/v1/seat-tracking/projects/{projectId}/notify-routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/seat-tracking/projects/{projectId}/notify-routes"
payload := strings.NewReader("{\n \"routes\": [\n {\n \"scopeType\": \"project\",\n \"scopeId\": \"default\",\n \"emailEnabled\": true,\n \"chatEnabled\": true,\n \"notifyEmails\": [\n \"finops@example.com\"\n ],\n \"notifyChatChannels\": []\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"budgetId": "budget-1",
"groupConfigEnabled": false,
"projectSettings": {
"emailEnabled": true,
"chatEnabled": true,
"notifyEmails": [
"finops@example.com"
],
"notifyChatChannels": []
},
"rows": [
{
"scopeType": "project",
"scopeId": "default",
"label": "Project default",
"notifyChatChannels": [],
"emailEnabled": true,
"chatEnabled": true,
"notifyEmails": [
"finops@example.com"
],
"hasCustomRoute": true
}
]
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Headers
Unique key for safe retries on write requests (required, max 64 characters).
Maximum string length:
64Path Parameters
Seat tracking project ID
Body
application/json
JSON request body
Response
Update seat tracking notify routes
JSON object
Was this page helpful?
⌘I